Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[udev] kernel version higher than in detection
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
sno35
Guru
Guru


Joined: 15 May 2004
Posts: 334
Location: Paris, France

PostPosted: Tue Aug 11, 2009 8:09 pm    Post subject: [udev] kernel version higher than in detection Reply with quote

Hi
Got into a udev mess this evening.
I updated to udev-145 yesterday. I saw by the way that it wanted something higher than 2.6.25.
As I had a 2.6.26-r2 I feared not and did not pay attention to
Code:
 * Updating persistent-net rules file
 *
 * restarting udevd now.
error getting signalfd

Hopefully I compiled a brand new 2.6.30, just in case ...
After three unsuccssful reboot, I switched to the new kernel letting me write to you.
That's maybe just on PPC.
Hth
Back to top
View user's profile Send private message
palica
n00b
n00b


Joined: 18 Aug 2009
Posts: 1

PostPosted: Tue Aug 18, 2009 8:43 pm    Post subject: Reply with quote

the same happened to me on amd64 - running 2.6.26-gentoo-r4 and udev-145 (udev-141-r1 and lower are fine).
Back to top
View user's profile Send private message
tnmc
n00b
n00b


Joined: 29 Aug 2009
Posts: 1

PostPosted: Sat Aug 29, 2009 10:04 am    Post subject: Reply with quote

Same here...I updated my system last weekend and after merging the config files shut the system down as I was away for the week on business. When I returned home I powered the machine back up and once udev fails to come up every other subsequent process obviously fails so I have a borked system on my hands...only way I can think of to fix this is to download a binary version of an earlier udev version and temporarily install it by manually unpacking the files...anyone else have ideas? Yeesh...
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Mon Aug 31, 2009 7:52 am    Post subject: Reply with quote

Quote:
only way I can think of to fix this is to download a binary version of an earlier udev version and temporarily install it by manually unpacking the files...anyone else have ideas?


use a livecd to chroot to your system and then you have two choices i guess :

- downgrade udev to a release that worked for you.
- upgrade the kernel.

i suppose both workarounds should work.

There is a ongoing discussion about what is going to happen with this package btw :

http://article.gmane.org/gmane.linux.gentoo.devel/62973

just in case anyone is interested.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum